%define	major	1
%define libname	%mklibname rsync %{major}
%define develname %mklibname -d rsync

Summary:	Rsync libraries
Name:		librsync
Version:	0.9.7
Release:	%mkrel 2
License:	LGPL
Group:		System/Libraries
URL:		http://librsync.sourceforge.net/
Source0:	http://downloads.sourceforge.net/librsync/%{name}-%{version}.tar.xz
Patch0:		librsync-0.9.7-4Gig.patch
Patch1:		librsync-0.9.7-fix-str-fmt.patch

%description
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files. librsync computes a delta relative
to a file's checksum, so the two files need not both be present to
generate a delta.

This library was previously known as libhsync up to version 0.9.0.

The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient
than and incompatible with rsync 2.4.6.

%package -n	%{libname}
Summary:	Rsync libraries
Group:		System/Libraries

%description -n	%{libname}
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files. librsync computes a delta relative
to a file's checksum, so the two files need not both be present to
generate a delta.

This library was previously known as libhsync up to version 0.9.0.

The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient
than and incompatible with rsync 2.4.6.

%package -n	%{develname}
Summary:	Headers for librsync
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	librsync-devel = %{version}-%{release}
Obsoletes:	%{_lib}rsync1-devel < %version


%description -n		%{develname}
This package contains header files necessary for developing
programs based on librsync.

%package -n	rdiff
Summary:	Compute and apply signature-based file differences
Group:		System/Servers
Requires:	%{libname} = %{version}

%description -n	rdiff
Compute and apply signature-based file differences.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%configure2_5x \
    --enable-shared \
    --disable-static

%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%defattr(-,root,root,-)
%doc AUTHORS NEWS README THANKS
%{_libdir}/librsync.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,-)
%doc TODO
%{_libdir}/librsync.so
%{_includedir}/*
%{_mandir}/man3/*

%files -n rdiff
%defattr(-,root,root,-)
%{_bindir}/rdiff
%{_mandir}/man1/rdiff.1*

%clean
rm -rf %buildroot

%changelog
* Thu Jun 12 2014 bb <bb> 0.9.7-2pclos2014
- rebuild against current libs

